Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp
Class PropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.PropertyTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PropertyTag

extends ComponentTagSupport

See Also:
  `Property`, Serialized Form

Field Summary

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PropertyTag()`

Method Summary
`Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected void` | `populateParams()`
`void` | `setDefault(String defaultValue)`
`void` | `setDefaultValue(String defaultValue)`
`void` | `setEscape(boolean escape)`
`void` | `setEscapeCsv(boolean escapeCsv)`
`void` | `setEscapeHtml(boolean escapeHtml)`
`void` | `setEscapeJavaScript(boolean escapeJavaScript)`
`void` | `setEscapeXml(boolean escapeXml)`
`void` | `setValue(String value)`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### PropertyTag

    public PropertyTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `ComponentTagSupport`

### setDefault

    public void setDefault(String defaultValue)

### setEscape

    public void setEscape(boolean escape)

### setEscapeHtml

    public void setEscapeHtml(boolean escapeHtml)

### setEscapeJavaScript

    public void setEscapeJavaScript(boolean escapeJavaScript)

### setValue

    public void setValue(String value)

### setDefaultValue

    public void setDefaultValue(String defaultValue)

### setEscapeCsv

    public void setEscapeCsv(boolean escapeCsv)

### setEscapeXml

    public void setEscapeXml(boolean escapeXml)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.